import request from '@/utils/request'

// 查询广告位管理列表
export function listManagement(query) {
  return request({
    url: '/plotmanage/management/list',
    method: 'get',
    params: query
  })
}

// 查询广告位管理详细
export function getManagement(id) {
  return request({
    url: '/plotmanage/management/' + id,
    method: 'get'
  })
}

// 新增广告位管理
export function addManagement(data) {
  return request({
    url: '/plotmanage/management',
    method: 'post',
    data: data
  })
}

// 修改广告位管理
export function updateManagement(data) {
  return request({
    url: '/plotmanage/management',
    method: 'put',
    data: data
  })
}

// 删除广告位管理
export function delManagement(id) {
  return request({
    url: '/plotmanage/management/' + id,
    method: 'delete'
  })
}
